summaryrefslogtreecommitdiff
path: root/install-pixelated.sh
diff options
context:
space:
mode:
authorJefferson Stachelski <jstachel@thoughtworks.com>2015-04-23 11:58:00 -0300
committerJefferson Stachelski <jstachel@thoughtworks.com>2015-04-23 11:58:05 -0300
commited9084b0b9175a272401b231e5d086e64506af15 (patch)
tree185081332adbf8f7c66869d1f5ead18e0d0ea6e9 /install-pixelated.sh
parent3d770db69cf6419a808780f7165b4d3d7fb95697 (diff)
#329 Disabled stop script when a command return non-zero for print the warning when are missing same prequiremets and then enable it again
Diffstat (limited to 'install-pixelated.sh')
-rwxr-xr-xinstall-pixelated.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/install-pixelated.sh b/install-pixelated.sh
index 55fcc172..3e21f251 100755
--- a/install-pixelated.sh
+++ b/install-pixelated.sh
@@ -44,12 +44,14 @@ done
shift $((OPTIND-1))
function check_installed() {
+ set +e
which $1
if [ $? -ne 0 ]; then
echo "## You must have ${1} installed and in the PATH to run Pixelated-User-Agent"
echo "## exiting..."
exit 1
fi
+ set -e
}
function install_node_modules_at_custom_location() {